## org.eclipse.datatools.connectivity.oda.design
Interface DataElementUIHints

public interface DataElementUIHints

UI hints for a data element.

The following features are supported:

- `Display Name`
- `Description`

See Also:
  `DesignPackage.getDataElementUIHints()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. Business name of the data element. Could be localized.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getDataElementUIHints_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`

### getDescription

    public java.lang.String getDescription()

  Returns the value of the 'Description' attribute. More extensive description of the data element.

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `DesignPackage.getDataElementUIHints_Description()`

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.